Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362100 - [abrt] plasma-workspace: SNIProxy::getImageNonComposite(): xembedsniproxy killed by SIGSEGV
Summary: [abrt] plasma-workspace: SNIProxy::getImageNonComposite(): xembedsniproxy kil...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:66c3f5656bd0c7351316eb364aa...
: 1365417 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-01 09:50 UTC by Max
Modified: 2017-08-21 12:18 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:04:57 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-08-01 09:50 UTC, Max
no flags Details
File: cgroup (deleted)
2016-08-01 09:50 UTC, Max
no flags Details
File: core_backtrace (deleted)
2016-08-01 09:50 UTC, Max
no flags Details
File: dso_list (deleted)
2016-08-01 09:50 UTC, Max
no flags Details
File: environ (deleted)
2016-08-01 09:50 UTC, Max
no flags Details
File: exploitable (deleted)
2016-08-01 09:50 UTC, Max
no flags Details
File: limits (deleted)
2016-08-01 09:50 UTC, Max
no flags Details
File: maps (deleted)
2016-08-01 09:50 UTC, Max
no flags Details
File: mountinfo (deleted)
2016-08-01 09:50 UTC, Max
no flags Details
File: namespaces (deleted)
2016-08-01 09:50 UTC, Max
no flags Details
File: open_fds (deleted)
2016-08-01 09:50 UTC, Max
no flags Details
File: proc_pid_status (deleted)
2016-08-01 09:50 UTC, Max
no flags Details
File: var_log_messages (deleted)
2016-08-01 09:50 UTC, Max
no flags Details

Description Max 2016-08-01 09:50:32 UTC
Version-Release number of selected component:
plasma-workspace-5.7.2-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/xembedsniproxy
crash_function: SNIProxy::getImageNonComposite
executable:     /usr/bin/xembedsniproxy
global_pid:     3253
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SNIProxy::getImageNonComposite at /usr/src/debug/plasma-workspace-5.7.2/xembed-sni-proxy/sniproxy.cpp:273
 #1 SNIProxy::update at /usr/src/debug/plasma-workspace-5.7.2/xembed-sni-proxy/sniproxy.cpp:214
 #2 FdoSelectionManager::nativeEventFilter at /usr/src/debug/plasma-workspace-5.7.2/xembed-sni-proxy/fdoselectionmanager.cpp:154
 #3 QAbstractEventDispatcher::filterNativeEvent at kernel/qabstracteventdispatcher.cpp:460
 #4 QXcbConnection::handleXcbEvent at qxcbconnection.cpp:1091
 #5 QXcbConnection::processXcbEvents at qxcbconnection.cpp:1723
 #6 QObject::event at kernel/qobject.cpp:1256
 #7 doNotify at kernel/qcoreapplication.cpp:1090
 #8 QCoreApplication::notifyInternal2 at kernel/qcoreapplication.cpp:1015
 #9 QCoreApplication::sendEvent at kernel/qcoreapplication.h:225

Potential duplicate: bug 1280339

Comment 1 Max 2016-08-01 09:50:37 UTC
Created attachment 1186315 [details]
File: backtrace

Comment 2 Max 2016-08-01 09:50:38 UTC
Created attachment 1186316 [details]
File: cgroup

Comment 3 Max 2016-08-01 09:50:40 UTC
Created attachment 1186317 [details]
File: core_backtrace

Comment 4 Max 2016-08-01 09:50:42 UTC
Created attachment 1186318 [details]
File: dso_list

Comment 5 Max 2016-08-01 09:50:42 UTC
Created attachment 1186319 [details]
File: environ

Comment 6 Max 2016-08-01 09:50:44 UTC
Created attachment 1186320 [details]
File: exploitable

Comment 7 Max 2016-08-01 09:50:44 UTC
Created attachment 1186321 [details]
File: limits

Comment 8 Max 2016-08-01 09:50:46 UTC
Created attachment 1186322 [details]
File: maps

Comment 9 Max 2016-08-01 09:50:47 UTC
Created attachment 1186323 [details]
File: mountinfo

Comment 10 Max 2016-08-01 09:50:48 UTC
Created attachment 1186324 [details]
File: namespaces

Comment 11 Max 2016-08-01 09:50:49 UTC
Created attachment 1186325 [details]
File: open_fds

Comment 12 Max 2016-08-01 09:50:50 UTC
Created attachment 1186326 [details]
File: proc_pid_status

Comment 13 Max 2016-08-01 09:50:51 UTC
Created attachment 1186327 [details]
File: var_log_messages

Comment 14 Jean-Paul Lambrechts 2016-08-27 16:29:06 UTC
Similar problem has been detected:

his happened just after system booting and autologin

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/xembedsniproxy
crash_function: SNIProxy::getImageNonComposite
executable:     /usr/bin/xembedsniproxy
global_pid:     2099
kernel:         4.6.7-300.fc24.x86_64
package:        plasma-workspace-5.7.3-2.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         xembedsniproxy killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Oliver Sampson 2017-01-10 09:11:16 UTC
Similar problem has been detected:

Appeared at login after updating kf* pacakges.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/xembedsniproxy
crash_function: SNIProxy::getImageNonComposite
executable:     /usr/bin/xembedsniproxy
global_pid:     3390
kernel:         4.8.15-200.fc24.x86_64
package:        plasma-workspace-5.8.4-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         xembedsniproxy killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Rex Dieter 2017-02-06 13:26:37 UTC
*** Bug 1365417 has been marked as a duplicate of this bug. ***

Comment 17 Rex Dieter 2017-02-06 13:26:56 UTC
*** Bug 1350096 has been marked as a duplicate of this bug. ***

Comment 18 Rex Dieter 2017-02-06 13:27:04 UTC
*** Bug 1361303 has been marked as a duplicate of this bug. ***

Comment 19 Rex Dieter 2017-02-06 13:27:43 UTC
*** Bug 1370878 has been marked as a duplicate of this bug. ***

Comment 20 Fedora End Of Life 2017-07-25 22:10:43 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 21 Fedora End Of Life 2017-08-08 16:04:57 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.